Bug 1472579 - VC4 driver related kernel oops on raspberry pi 3 [NEEDINFO]
VC4 driver related kernel oops on raspberry pi 3
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
armv7l Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 23:37 EDT by Jussi Eloranta
Modified: 2018-02-27 22:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (jussi.eloranta)


Attachments (Terms of Use)
Xorg log file (30.22 KB, text/plain)
2017-10-01 11:36 EDT, Jussi Eloranta
no flags Details
dmesg (785 bytes, text/plain)
2017-10-01 11:37 EDT, Jussi Eloranta
no flags Details
Sample mpeg file that causes Xorg to crash with mplayer (290.00 KB, video/mpeg)
2017-10-01 11:37 EDT, Jussi Eloranta
no flags Details

  None (edit)
Description Jussi Eloranta 2017-07-18 23:37:52 EDT
Description of problem: Often the system log is flooded with the following messages:

Oct 26 21:17:17 localhost kernel: ------------[ cut here ]------------
Oct 26 21:17:17 localhost kernel: WARNING: CPU: 2 PID: 1997 at drivers/gpu/drm/drm_atomic_helper.c:1121 drm_atomic_helper_wait_for_vblanks+0x1c8/0x1e8 [drm_kms_helper]
Oct 26 21:17:17 localhost kernel: [CRTC:48] vblank wait timed out
Oct 26 21:17:17 localhost kernel: Modules linked in: joydev smsc95xx usbnet mii vc4 drm_kms_helper drm fb_sys_fops syscopyarea sysfillrect dwc2 sysimgblt udc_core bcm2835_rng bcm2835_dma bcm2835_wdt leds_gpio nfsd auth_rpcgss nfs_acl lockd grace sunrpc mmc_block sdhci_iproc sdhci_pltfm sdhci mmc_core pwm_bcm2835 i2c_bcm2835
Oct 26 21:17:17 localhost kernel: CPU: 2 PID: 1997 Comm: Xorg Tainted: G        W       4.8.4-301.fc25.armv7hl #1
Oct 26 21:17:17 localhost kernel: Hardware name: Generic DT based system
Oct 26 21:17:17 localhost kernel: [<c02192f4>] (unwind_backtrace) from [<c0214108>] (show_stack+0x18/0x1c)
Oct 26 21:17:17 localhost kernel: [<c0214108>] (show_stack) from [<c05164e4>] (dump_stack+0x80/0x9c)
Oct 26 21:17:17 localhost kernel: [<c05164e4>] (dump_stack) from [<c0254f10>] (__warn+0xe4/0x104)
Oct 26 21:17:17 localhost kernel: [<c0254f10>] (__warn) from [<c0254f6c>] (warn_slowpath_fmt+0x3c/0x4c)
Oct 26 21:17:17 localhost kernel: [<c0254f6c>] (warn_slowpath_fmt) from [<bf2808dc>] (drm_atomic_helper_wait_for_vblanks+0x1c8/0x1e8 [drm_kms_helper])
Oct 26 21:17:17 localhost kernel: [<bf2808dc>] (drm_atomic_helper_wait_for_vblanks [drm_kms_helper]) from [<bf2afa28>] (vc4_atomic_complete_commit+0x5c/0x84 [vc4])
Oct 26 21:17:17 localhost kernel: [<bf2afa28>] (vc4_atomic_complete_commit [vc4]) from [<bf2afbd8>] (vc4_atomic_commit+0x188/0x198 [vc4])
Oct 26 21:17:17 localhost kernel: [<bf2afbd8>] (vc4_atomic_commit [vc4]) from [<bf281250>] (drm_atomic_helper_update_plane+0xcc/0x104 [drm_kms_helper])
Oct 26 21:17:17 localhost kernel: [<bf281250>] (drm_atomic_helper_update_plane [drm_kms_helper]) from [<bf21fc2c>] (__setplane_internal+0x1c4/0x1f4 [drm])
Oct 26 21:17:17 localhost kernel: [<bf21fc2c>] (__setplane_internal [drm]) from [<bf21fdb4>] (drm_mode_cursor_universal+0x158/0x1ac [drm])
Oct 26 21:17:17 localhost kernel: [<bf21fdb4>] (drm_mode_cursor_universal [drm]) from [<bf21feb0>] (drm_mode_cursor_common+0xa8/0x18c [drm])
Oct 26 21:17:17 localhost kernel: [<bf21feb0>] (drm_mode_cursor_common [drm]) from [<bf2142cc>] (drm_ioctl+0x264/0x41c [drm])
Oct 26 21:17:17 localhost kernel: [<bf2142cc>] (drm_ioctl [drm]) from [<c03c3d54>] (vfs_ioctl+0x28/0x3c)
Oct 26 21:17:17 localhost kernel: [<c03c3d54>] (vfs_ioctl) from [<c03c3efc>] (do_vfs_ioctl+0x8c/0x8b4)
Oct 26 21:17:17 localhost kernel: [<c03c3efc>] (do_vfs_ioctl) from [<c03c4778>] (SyS_ioctl+0x54/0x78)
Oct 26 21:17:17 localhost kernel: [<c03c4778>] (SyS_ioctl) from [<c020fb80>] (ret_fast_syscall+0x0/0x3c)
Oct 26 21:17:17 localhost kernel: ---[ end trace 80568b09a2f24fb1 ]---
Oct 26 21:17:17 localhost kernel: ------------[ cut here ]------------
Oct 26 21:17:17 localhost kernel: WARNING: CPU: 2 PID: 1997 at drivers/gpu/drm/drm_atomic_helper.c:1121 drm_atomic_helper_wait_for_vblanks+0x1c8/0x1e8 [drm_kms_helper]
Oct 26 21:17:17 localhost kernel: [CRTC:48] vblank wait timed out
Oct 26 21:17:17 localhost kernel: Modules linked in: joydev smsc95xx usbnet mii vc4 drm_kms_helper drm fb_sys_fops syscopyarea sysfillrect dwc2 sysimgblt udc_core bcm2835_rng bcm2835_dma bcm2835_wdt leds_gpio nfsd auth_rpcgss nfs_acl lockd grace sunrpc mmc_block sdhci_iproc sdhci_pltfm sdhci mmc_core pwm_bcm2835 i2c_bcm2835
Oct 26 21:17:17 localhost kernel: CPU: 2 PID: 1997 Comm: Xorg Tainted: G        W       4.8.4-301.fc25.armv7hl #1
Oct 26 21:17:17 localhost kernel: Hardware name: Generic DT based system
Oct 26 21:17:17 localhost kernel: [<c02192f4>] (unwind_backtrace) from [<c0214108>] (show_stack+0x18/0x1c)
Oct 26 21:17:17 localhost kernel: [<c0214108>] (show_stack) from [<c05164e4>] (dump_stack+0x80/0x9c)
Oct 26 21:17:17 localhost kernel: [<c05164e4>] (dump_stack) from [<c0254f10>] (__warn+0xe4/0x104)
Oct 26 21:17:17 localhost kernel: [<c0254f10>] (__warn) from [<c0254f6c>] (warn_slowpath_fmt+0x3c/0x4c)
Oct 26 21:17:17 localhost kernel: [<c0254f6c>] (warn_slowpath_fmt) from [<bf2808dc>] (drm_atomic_helper_wait_for_vblanks+0x1c8/0x1e8 [drm_kms_helper])
Oct 26 21:17:17 localhost kernel: [<bf2808dc>] (drm_atomic_helper_wait_for_vblanks [drm_kms_helper]) from [<bf2afa28>] (vc4_atomic_complete_commit+0x5c/0x84 [vc4])
Oct 26 21:17:17 localhost kernel: [<bf2afa28>] (vc4_atomic_complete_commit [vc4]) from [<bf2afbd8>] (vc4_atomic_commit+0x188/0x198 [vc4])
Oct 26 21:17:17 localhost kernel: [<bf2afbd8>] (vc4_atomic_commit [vc4]) from [<bf281250>] (drm_atomic_helper_update_plane+0xcc/0x104 [drm_kms_helper])
Oct 26 21:17:17 localhost kernel: [<bf281250>] (drm_atomic_helper_update_plane [drm_kms_helper]) from [<bf21fc2c>] (__setplane_internal+0x1c4/0x1f4 [drm])
Oct 26 21:17:17 localhost kernel: [<bf21fc2c>] (__setplane_internal [drm]) from [<bf21fdb4>] (drm_mode_cursor_universal+0x158/0x1ac [drm])
Oct 26 21:17:17 localhost kernel: [<bf21fdb4>] (drm_mode_cursor_universal [drm]) from [<bf21feb0>] (drm_mode_cursor_common+0xa8/0x18c [drm])
Oct 26 21:17:17 localhost kernel: [<bf21feb0>] (drm_mode_cursor_common [drm]) from [<bf2142cc>] (drm_ioctl+0x264/0x41c [drm])
Oct 26 21:17:17 localhost kernel: [<bf2142cc>] (drm_ioctl [drm]) from [<c03c3d54>] (vfs_ioctl+0x28/0x3c)
Oct 26 21:17:17 localhost kernel: [<c03c3d54>] (vfs_ioctl) from [<c03c3efc>] (do_vfs_ioctl+0x8c/0x8b4)
Oct 26 21:17:17 localhost kernel: [<c03c3efc>] (do_vfs_ioctl) from [<c03c4778>] (SyS_ioctl+0x54/0x78)
Oct 26 21:17:17 localhost kernel: [<c03c4778>] (SyS_ioctl) from [<c020fb80>] (ret_fast_syscall+0x0/0x3c)
Oct 26 21:17:17 localhost kernel: ---[ end trace 80568b09a2f24fb2 ]---
Oct 26 21:17:17 localhost kernel: ------------[ cut here ]------------
Oct 26 21:17:17 localhost kernel: WARNING: CPU: 2 PID: 1997 at drivers/gpu/drm/drm_atomic_helper.c:1121 drm_atomic_helper_wait_for_vblanks+0x1c8/0x1e8 [drm_kms_helper]
Oct 26 21:17:17 localhost kernel: [CRTC:48] vblank wait timed out
Oct 26 21:17:17 localhost kernel: Modules linked in: joydev smsc95xx usbnet mii vc4 drm_kms_helper drm fb_sys_fops syscopyarea sysfillrect dwc2 sysimgblt udc_core bcm2835_rng bcm2835_dma bcm2835_wdt leds_gpio nfsd auth_rpcgss nfs_acl lockd grace sunrpc mmc_block sdhci_iproc sdhci_pltfm sdhci mmc_core pwm_bcm2835 i2c_bcm2835This is on kernel 4.9.10

This is running Xorg and XFCE.

Version-Release number of selected component (if applicable): This is on kernel 4.9.10

How reproducible: Happens almost every time.
Comment 1 Jussi Eloranta 2017-07-23 14:16:27 EDT
Sorry, the kernel version above is incorrect. I meant 4.11.10.

Still keeps happening with 4.11.11. After this the above messages are also followed by repeated:

[  352.839044] vc4_hdmi 3f902000.hdmi: ASoC: can't open interface 3f902000.hdmi: -19

At least for me vc4 is very unstable and had to revert to non-accelerated framebuffer driver (by blacklisting vc4). Actually, with the normal framebuffer driver the system is also faster (probably because of the repeated errors with vc4)!

uname -a of this system is:

Linux localhost 4.11.11-300.fc26.armv7hl #1 SMP Mon Jul 17 17:51:32 UTC 2017 armv7l armv7l armv7l GNU/Linux
Comment 2 Jussi Eloranta 2017-10-01 11:35:54 EDT
OK, I don't see this so much anymore but running mplayer on just about any mpeg file would crash the X server (logs attached & dmesg). This is on:

Linux jussi 4.12.14-300.fc26.armv7hl #1 SMP Wed Sep 20 18:05:42 UTC 2017 armv7l armv7l armv7l GNU/Linux

So, install mplayer from rpmfusion and try playing the attached mpeg file.
Comment 3 Jussi Eloranta 2017-10-01 11:36 EDT
Created attachment 1332941 [details]
Xorg log file
Comment 4 Jussi Eloranta 2017-10-01 11:37 EDT
Created attachment 1332942 [details]
dmesg
Comment 5 Jussi Eloranta 2017-10-01 11:37 EDT
Created attachment 1332943 [details]
Sample mpeg file that causes Xorg to crash with mplayer
Comment 6 Jussi Eloranta 2017-10-01 12:27:23 EDT
This problem is still present with 4.13.4-200. In addition there is now also kernel crash (which appears just by starting X & logging in):

[  275.249480] ------------[ cut here ]------------
[  275.249564] WARNING: CPU: 3 PID: 663 at drivers/gpu/drm/vc4/vc4_plane.c:746 vc4_plane_async_set_fb+0x68/0x9c [vc4]
[  275.249570] Modules linked in: fuse sunrpc vc4 snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm snd_timer joydev snd pl2303 soundcore brcmfmac drm_kms_helper brcmuti
l drm cfg80211 fb_sys_fops rfkill syscopyarea sysfillrect sysimgblt bcm2835_thermal bcm2835_wdt bcm2835_rng phy_generic leds_gpio smsc95xx usbnet mii mmc_block crc32_arm_ce dwc2 sdhci_iproc 
udc_core sdhci_pltfm sdhci pwm_bcm2835 i2c_bcm2835 bcm2835 bcm2835_dma
[  275.249756] CPU: 3 PID: 663 Comm: Xorg Not tainted 4.13.4-200.fc26.armv7hl #1
[  275.249761] Hardware name: Generic DT based system
[  275.249795] [<c0311a70>] (unwind_backtrace) from [<c030c6b4>] (show_stack+0x18/0x1c)
[  275.249811] [<c030c6b4>] (show_stack) from [<c0a64170>] (dump_stack+0x80/0xa0)
[  275.249825] [<c0a64170>] (dump_stack) from [<c034c0f4>] (__warn+0xe4/0x104)
[  275.249838] [<c034c0f4>] (__warn) from [<c034c1d0>] (warn_slowpath_null+0x24/0x2c)
[  275.249900] [<c034c1d0>] (warn_slowpath_null) from [<bf4cf2f8>] (vc4_plane_async_set_fb+0x68/0x9c [vc4])
[  275.250013] [<bf4cf2f8>] (vc4_plane_async_set_fb [vc4]) from [<bf4cf3c8>] (vc4_update_plane+0x9c/0x14c [vc4])
[  275.250259] [<bf4cf3c8>] (vc4_update_plane [vc4]) from [<bf2bf63c>] (__setplane_internal+0x1b4/0x1e0 [drm])
[  275.250602] [<bf2bf63c>] (__setplane_internal [drm]) from [<bf2bf7bc>] (drm_mode_cursor_universal+0x154/0x1a4 [drm])
[  275.250932] [<bf2bf7bc>] (drm_mode_cursor_universal [drm]) from [<bf2bf8e0>] (drm_mode_cursor_common+0xd4/0x1c4 [drm])
[  275.251251] [<bf2bf8e0>] (drm_mode_cursor_common [drm]) from [<bf2a92e0>] (drm_ioctl+0x2b8/0x348 [drm])
[  275.251432] [<bf2a92e0>] (drm_ioctl [drm]) from [<c04d2f48>] (vfs_ioctl+0x28/0x3c)
[  275.251449] [<c04d2f48>] (vfs_ioctl) from [<c04d30fc>] (do_vfs_ioctl+0x8c/0x850)
[  275.251463] [<c04d30fc>] (do_vfs_ioctl) from [<c04d3918>] (SyS_ioctl+0x58/0x74)
[  275.251481] [<c04d3918>] (SyS_ioctl) from [<c0307dc0>] (ret_fast_syscall+0x0/0x3c)
[  275.251515] ---[ end trace 17ddfe3f5c506095 ]---
Comment 7 Laura Abbott 2018-02-27 22:37:58 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.